Package com.documentum.fc.client

# Interface IDfDborEntry

public interface IDfDborEntry
Allows you to define service properties for DBOR. This interface is used by `IDfDbor` as a data module to set service properties.

Since:
  5.1
See Also:
  - `IDfDbor`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getJavaClass()`
  Retrieves the Java Class name
  `String`
  `getName()`
  Retrieving the name of the Properties
  `String`
  `getVersion()`
  Retrieves the version string
  `boolean`
  `isServiceBased()`
  Indicates whether this is service based or type based
  `void`
  `setJavaClass(String javaClass)`
  Sets the Java Class name
  `void`
  `setName(String name)`
  Setting the name of the Properties
  `void`
  `setServiceBased(boolean serviceBased)`
  Set the flag indicating whether this is service based or type based
  `void`
  `setVersion(String version)`
  Sets the version string
  `void`
  `validate()`
  Validate data

- ## Method Details

  - ### getName

    String getName()
    Retrieving the name of the Properties
    Returns:
      properties name

  - ### setName

    void setName(String name)
    Setting the name of the Properties
    Parameters:
      `name` - properties name

  - ### getJavaClass

    String getJavaClass()
    Retrieves the Java Class name
    Returns:
      java class name

  - ### setJavaClass

    void setJavaClass(String javaClass)
    Sets the Java Class name
    Parameters:
      `javaClass` - java class name

  - ### isServiceBased

    boolean isServiceBased()
    Indicates whether this is service based or type based
    Returns:
      `true` if service based, `false` otherwise

  - ### setServiceBased

    void setServiceBased(boolean serviceBased)
    Set the flag indicating whether this is service based or type based
    Parameters:
      `serviceBased` - `true` if service based, `false` if type based

  - ### getVersion

    String getVersion()
    Retrieves the version string
    Returns:
      version string

  - ### setVersion

    void setVersion(String version)
    Sets the version string
    Parameters:
      `version` - version string

  - ### validate

    void validate() throws DfServiceException
    Validate data
    Throws:
      `DfServiceException` - Bad data